Subject: Re: bug#15120: 24.3.50; (elisp) `Search-based Fontification': unspecified MATCHER cases

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 07 Feb 2014 21:06:09 -0800

Drew Adams <[email-masked]> writes:

> The doc string is good in this regard, but the Elisp manual is not.
>
> The manual says that an element can be FUNCTION.  OK.
>
> And it says, for (MATCHER . SUBEXP), that MATCHER can be a function.  OK.
>
> But it does not say that for all of the other (MATCHER . *) patterns
> MATCHER can also be a function.  In fact, for the others MATCHER is left
> unspecified.
>
> And for (MATCHER . SUBEXP-HIGHLIGHTER) the doc actually refers to a
> "SUBEXP in MATCHER", which suggests, but does not specify, that MATCHER
> in this case can be or perhaps even *must be* a REGEXP.
>
> Follow the example of the doc string, or state somewhere that MATCHER,
> in all that follows, can be either a regexp or a function...
>
> IOW, make clear just what MATCHER can be, in general or in each of the
> cases.

I see what you mean, but if you read the page from the start to finish,
you see that it explains what all meta-syntactical are once.  It says
what MATCHER is the first time it talks about it, and then it just
describes what each new element is.  So I think the page is OK as is.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/